package com.yxproject.start.mapper;

import com.yxproject.start.entity.TaskEntity;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

/**
 * Created by zhangyusheng on 2018/10/13 9:36
 */
@Mapper
public interface TaskMapper {
    public List<TaskEntity> findTaskEntity(long id);
    public int insertTaskEntity(TaskEntity taskEntity);
    public  int updateTaskEntity(TaskEntity taskEntity);
    public  List<TaskEntity> findTaskEntityByAcceptNo(String acceptNo);
    public List<TaskEntity> findTaskEntityByState(int state);
    public int replaceExceptionInformation(TaskEntity taskEntity);
    public int totalNum (int i);
    public List<Map<String,Object>> findTypeListByTaskStateId(String taskStateId);
    public List<Map<String,Object>> findCityListByTaskStateId(String taskStateId);
    public List<Map<String,Object>> findCityListByCardType(String cardType);
}
